Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234573 (perl-bioperl) - Review Request: perl-bioperl - A package of Perl tools for computational molecular biology
Summary: Review Request: perl-bioperl - A package of Perl tools for computational mole...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-bioperl
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: perl-Convert-Bin-C perl-SVG-Graph perl-PostScript perl-AutoClass perl-AcePerl Bio-ASN1-Entrez
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 07:58 UTC by Alex Lancaster
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 14:57:01 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)
Failed mock build's build.log (deleted)
2007-04-03 07:19 UTC, Parag AN(पराग)
no flags Details
Complete provides list (deleted)
2007-04-03 12:03 UTC, Alex Lancaster
no flags Details

Description Alex Lancaster 2007-03-30 07:58:01 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-bioperl.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-bioperl-1.5.2_102-2.src.rpm
Description: 
Bioperl is a package of Perl tools for computational molecular
biology.

This package has BuildRequires on a number of packages currently submitted or in review: bug #234571, bug #234569, bug #234568, bug #234454, bug #233848.  As well as packages that are in the repo, but have not yet been signed and pushed (but should be so in the next hours or so).

Comment 1 Parag AN(पराग) 2007-04-01 09:28:44 UTC
picking up for review.


Comment 2 Rasmus Ory Nielsen 2007-04-01 16:08:33 UTC
This is really great! I'm looking forward to see bioperl in Fedora.

Comment 3 Parag AN(पराग) 2007-04-02 11:36:41 UTC
This review blocked by now package perl-Bio-ASN1-EntrezGene.


Comment 4 Parag AN(पराग) 2007-04-02 11:51:07 UTC
As mock build gave me
Error: Missing Dependency: perl(Bio::Index::AbstractSeq) is needed by package
perl-Bio-ASN1-EntrezGene

But I really confused when i checked cpan, I found that missing depencecy is
actually part of this(perl-bioperl) package then why its reported as its needed
by perl-Bio-ASN1-EntrezGene?

I am referring to
http://search.cpan.org/~mingyiliu/Bio-ASN1-EntrezGene-1.091/lib/Bio/ASN1/EntrezGene.pm#PREREQUISITE

Need some help But for time being not blocking CVS request already made for
perl-Bio-ASN1-EntrezGene package.

Comment 5 Alex Lancaster 2007-04-03 04:00:56 UTC
The problem is a circular BuildRequires on perl-Bio-ASN1-EntrezGene package.  I
have removed this in this update:

* Mon Apr 02 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-3
- Remove BuildRequires: perl(Bio::ASN1::EntrezGene), creates a
  circular dependency, the dependency is still found at install-time.

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-bioperl.spec
SRPM URL:
http://allele5.biol.berkeley.edu/~alex/fedora/perl-bioperl-1.5.2_102-3.src.rpm

Comment 6 Alex Lancaster 2007-04-03 04:16:50 UTC
As an aside, there is currently a discussion on the bioperl-l list about where
bioperl should live, on Fedora or in a third-party repository like
http://biopackages.net/.  See the thread at:

http://lists.open-bio.org/pipermail/bioperl-l/2007-March/thread.html#25279

One of the issue is in addition to this base bioperl package residing here,
there is bioperl-run which has interfaces to a number of non-free packages such
as Clustal which couldn't be packaged in Fedora.  Possibilities are:

1. Host the bioperl - the interfaces to non-free packages on Fedora and package
the non-free interfaces on biopackages.net
2. Host all bioperl-* packages on biopackages.net

I lean towards 1), but splitting up a single tarball across distributions can be
rather messy.  Ideas welcome.

Comment 7 Alex Lancaster 2007-04-03 04:18:12 UTC
(In reply to comment #6)
> 
> 1. Host the bioperl - the interfaces to non-free packages on Fedora 

Should read:

Host all of bioperl minus the interfaces to non-free packages on Fedora 


Comment 8 Parag AN(पराग) 2007-04-03 07:19:13 UTC
Created attachment 151548 [details]
Failed mock build's build.log

Attaching Mock build.log for your reference for further changes for make test
and is removing perl-Bio-ASN1-EntrezGene as BR is OK? Its giving warning in
build.log now.

Comment 9 Alex Lancaster 2007-04-03 07:30:02 UTC
It looks like many, if not, most, tests require network access, so we may have
to disable all of them.  It's OK to remove perl-Bio-ASN-EntrezGene, as it's the
only workaround  that will allow it to be installed (this is what upstream does
anyway).  It is added back as an auto-generated Requires for install-time, so
it's OK.

Comment 10 Alex Lancaster 2007-04-03 09:47:59 UTC
* Tue Apr 03 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-4
- Disable tests because many of them require network access, add
  _with_check macro so they can be enabled during testing.

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-bioperl.spec
SRPM URL:
http://allele5.biol.berkeley.edu/~alex/fedora/perl-bioperl-1.5.2_102-4.src.rpm



Comment 11 Parag AN(पराग) 2007-04-03 10:16:25 UTC
Starting Review
Like to Note here first that build.log gave
Checking prerequisites...
Install [a]ll optional external modules, [n]one, or choose [i]nteractively? [n]
 * Optional prerequisite Bio::ASN1::EntrezGene is not installed
   (wanted for parsing entrezgene, used by Bio::SeqIO::entrezgene)

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

    * Could not connect to test database
Checking features:
  BioDBSeqFeature_mysql....disabled
  BioDBGFF.................enabled
  BioDBSeqFeature_BDB......enabled

which seems not problematic.


Comment 12 Alex Lancaster 2007-04-03 10:24:18 UTC
(In reply to comment #11)
 
> ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
> of the modules indicated above before proceeding with this installation
> 
>     * Could not connect to test database
> Checking features:
>   BioDBSeqFeature_mysql....disabled
>   BioDBGFF.................enabled
>   BioDBSeqFeature_BDB......enabled
> 
> which seems not problematic.

Yep, it's just a warning, it must be ignored because of the circular build
dependency.

New SRPM URL:
http://allele5.biol.berkeley.edu/~alex/fedora/perl-bioperl-1.5.2_102-5.src.rpm

Comment 13 Parag AN(पराग) 2007-04-03 10:36:21 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
71f22246979ee5d6e19d547319962eea  bioperl-1.5.2_102.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test disabled.
+ Provides: perl(Bio::Align::AlignI) perl(Bio::Align::DNAStatistics)
perl(Bio::Align::PairwiseStatistics) perl(Bio::Align::ProteinStatistics)
perl(Bio::Align::StatisticsI) perl(Bio::Align::Utilities) perl(Bio::AlignIO)
perl(Bio::AlignIO::bl2seq) perl(Bio::AlignIO::clustalw)
perl(Bio::AlignIO::emboss) perl(Bio::AlignIO::fasta)
perl(Bio::AlignIO::largemultifasta) perl(Bio::AlignIO::maf)
perl(Bio::AlignIO::mase) perl(Bio::AlignIO::mega) perl(Bio::AlignIO::meme)
perl(Bio::AlignIO::metafasta) perl(Bio::AlignIO::msf) perl(Bio::AlignIO::nexus)
perl(Bio::AlignIO::pfam) perl(Bio::AlignIO::phylip) perl(Bio::AlignIO::po)
perl(Bio::AlignIO::prodom) perl(Bio::AlignIO::psi) perl(Bio::AlignIO::selex)
perl(Bio::AlignIO::stockholm) perl(Bio::AnalysisI) perl(Bio::AnalysisI::JobI)
perl(Bio::AnalysisParserI) perl(Bio::AnalysisResultI) perl(Bio::AnnotatableI)
perl(Bio::Annotation::AnnotationFactory) perl(Bio::Annotation::Collection)
perl(Bio::Annotation::Comment) perl(Bio::Annotation::DBLink)
perl(Bio::Annotation::OntologyTerm) perl(Bio::Annotation::Reference)
perl(Bio::Annotation::SimpleValue) perl(Bio::Annotation::StructuredValue)
perl(Bio::Annotation::Target) perl(Bio::Annotation::TypeManager)
perl(Bio::AnnotationCollectionI) perl(Bio::AnnotationI)
perl(Bio::Assembly::Contig) perl(Bio::Assembly::ContigAnalysis)
perl(Bio::Assembly::IO) perl(Bio::Assembly::IO::ace)
perl(Bio::Assembly::IO::phrap) perl(Bio::Assembly::Scaffold)
perl(Bio::Assembly::ScaffoldI) perl(Bio::Assembly::Singlet) perl(Bio::Biblio)
perl(Bio::Biblio::Article) perl(Bio::Biblio::BiblioBase) perl(Bio::Biblio::Book)
perl(Bio::Biblio::BookArticle) perl(Bio::Biblio::IO)
perl(Bio::Biblio::IO::medline2ref) perl(Bio::Biblio::IO::medlinexml)
perl(Bio::Biblio::IO::pubmed2ref) perl(Bio::Biblio::IO::pubmedxml)
perl(Bio::Biblio::Journal) perl(Bio::Biblio::JournalArticle)
perl(Bio::Biblio::MedlineArticle) perl(Bio::Biblio::MedlineBook)
perl(Bio::Biblio::MedlineBookArticle) perl(Bio::Biblio::MedlineJournal)
perl(Bio::Biblio::MedlineJournalArticle) perl(Bio::Biblio::Organisation)
perl(Bio::Biblio::Patent) perl(Bio::Biblio::Person)
perl(Bio::Biblio::Proceeding) perl(Bio::Biblio::Provider)
perl(Bio::Biblio::PubmedArticle) perl(Bio::Biblio::PubmedBookArticle)
perl(Bio::Biblio::PubmedJournalArticle) perl(Bio::Biblio::Ref)
perl(Bio::Biblio::Service) perl(Bio::Biblio::TechReport)
perl(Bio::Biblio::Thesis) perl(Bio::Biblio::WebResource)
perl(Bio::Cluster::ClusterFactory) perl(Bio::Cluster::FamilyI)
perl(Bio::Cluster::SequenceFamily) perl(Bio::Cluster::UniGene)
perl(Bio::Cluster::UniGeneI) perl(Bio::ClusterI) perl(Bio::ClusterIO)
perl(Bio::ClusterIO::dbsnp) perl(Bio::ClusterIO::unigene)
perl(Bio::CodonUsage::IO) perl(Bio::CodonUsage::Table) perl(Bio::ConfigData)
perl(Bio::Coordinate::Chain) perl(Bio::Coordinate::Collection)
perl(Bio::Coordinate::ExtrapolatingPair) perl(Bio::Coordinate::GeneMapper)
perl(Bio::Coordinate::Graph) perl(Bio::Coordinate::MapperI)
perl(Bio::Coordinate::Pair) perl(Bio::Coordinate::Result)
perl(Bio::Coordinate::Result::Gap) perl(Bio::Coordinate::Result::Match)
perl(Bio::Coordinate::ResultI) perl(Bio::Coordinate::Utils) perl(Bio::DB::Ace)
perl(Bio::DB::Biblio::biofetch) perl(Bio::DB::Biblio::eutils)
perl(Bio::DB::Biblio::pdf) perl(Bio::DB::Biblio::soap) perl(Bio::DB::BiblioI)
perl(Bio::DB::BioFetch) perl(Bio::DB::CUTG) perl(Bio::DB::DBFetch)
perl(Bio::DB::EMBL) perl(Bio::DB::EUtilities) perl(Bio::DB::EUtilities::Cookie)
perl(Bio::DB::EUtilities::ElinkData) perl(Bio::DB::EUtilities::efetch)
perl(Bio::DB::EUtilities::egquery) perl(Bio::DB::EUtilities::einfo)
perl(Bio::DB::EUtilities::elink) perl(Bio::DB::EUtilities::epost)
perl(Bio::DB::EUtilities::esearch) perl(Bio::DB::EUtilities::esummary)
perl(Bio::DB::EntrezGene) perl(Bio::DB::Expression)
perl(Bio::DB::Expression::geo) perl(Bio::DB::Failover) perl(Bio::DB::Fasta)
perl(Bio::DB::Fasta::Stream) perl(Bio::DB::FileCache) perl(Bio::DB::Flat)
perl(Bio::DB::Flat::BDB) perl(Bio::DB::Flat::BDB::embl)
perl(Bio::DB::Flat::BDB::fasta) perl(Bio::DB::Flat::BDB::genbank)
perl(Bio::DB::Flat::BDB::swiss) perl(Bio::DB::Flat::BDB::swissprot)
perl(Bio::DB::Flat::BinarySearch) perl(Bio::DB::GDB) perl(Bio::DB::GFF)
perl(Bio::DB::GFF::Adaptor::ace) perl(Bio::DB::GFF::Adaptor::berkeleydb)
perl(Bio::DB::GFF::Adaptor::berkeleydb::iterator)
perl(Bio::DB::GFF::Adaptor::biofetch)
perl(Bio::DB::GFF::Adaptor::biofetch_oracle) perl(Bio::DB::GFF::Adaptor::dbi)
perl(Bio::DB::GFF::Adaptor::dbi::caching_handle)
perl(Bio::DB::GFF::Adaptor::dbi::faux_dbh)

APPROVED.

Comment 14 Michael Schwendt 2007-04-03 10:59:24 UTC
In reply to comment 4:

> As mock build gave me
> Error: Missing Dependency: perl(Bio::Index::AbstractSeq)
> is needed by package perl-Bio-ASN1-EntrezGene

It is broken in the needsign queue, too, as extras-repoclosure
also detects this. I've blacklisted the builds for now (FC-5,
FC-6, development).


Comment 15 Alex Lancaster 2007-04-03 11:07:34 UTC
(In reply to comment #14)
> In reply to comment 4:
> 
> > As mock build gave me
> > Error: Missing Dependency: perl(Bio::Index::AbstractSeq)
> > is needed by package perl-Bio-ASN1-EntrezGene
> 
> It is broken in the needsign queue, too, as extras-repoclosure
> also detects this. I've blacklisted the builds for now (FC-5,
> FC-6, development).

These packages depend on each other, so once this package is built,
perl-Bio-ASN1-EntrezGene will have it's dependency satisfied.  It no longer
needs perl-Bio-ASN1-EntrezGene at build-time.



Comment 16 Alex Lancaster 2007-04-03 11:13:00 UTC
New Package CVS Request
=======================
Package Name: perl-bioperl
Short Description: A package of Perl tools for computational molecular biology
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

This directory exists in CVS as an orphaned package.

Comment 17 Michael Schwendt 2007-04-03 11:30:55 UTC
What provides 'perl(Bio::Index::AbstractSeq)'?
Comment 13 doesn't list it.
But the module is part of bioperl.
So what's wrong in the dependencies?


Comment 18 Parag AN(पराग) 2007-04-03 11:42:48 UTC
The dependencies are like this ===>

rpm -q --requires perl-Bio-ASN1-EntrezGene | grep Bio
perl(Bio::ASN1::EntrezGene)  
perl(Bio::ASN1::Sequence)  
perl(Bio::Index::AbstractSeq) 

rpm -q --provides perl-Bio-ASN1-EntrezGene
perl(Bio::ASN1::EntrezGene) = 1.09
perl(Bio::ASN1::EntrezGene::Indexer) = 1.09
perl(Bio::ASN1::Sequence) = 1.09
perl(Bio::ASN1::Sequence::Indexer) = 1.09
perl-Bio-ASN1-EntrezGene = 1.091-2

rpm -q --requires perl-bioperl | grep Bio::ASN1
perl(Bio::ASN1::EntrezGene)  

rpm -q --provides perl-bioperl | grep Abstract
perl(Bio::Index::Abstract)  
perl(Bio::Index::AbstractSeq)  


Comment 19 Michael Schwendt 2007-04-03 11:45:15 UTC
Okay, then your list in comment 13 is truncated.


Comment 20 Alex Lancaster 2007-04-03 12:03:42 UTC
Created attachment 151551 [details]
Complete provides list

Yes, I've attached the full list the result of:

rpm -q --provides perl-bioperl > /tmp/bioperl-provides

Comment 21 Jens Petersen 2007-04-03 13:20:15 UTC
I think the Summary can be shortened to
"Perl tools for computational molecular biology".

CVS ownership added.

Comment 22 Jens Petersen 2007-04-03 13:24:06 UTC
Alex, you may need to be careful with the old FC-5 and FC-6 branches
since they still contain the previous packaging.

Comment 23 Alex Lancaster 2007-04-17 14:57:01 UTC
Builds and installs in devel.  Closing bug.


Note You need to log in before you can comment on or make changes to this bug.